%global rolesdir %{_sysconfdir}/ansible/roles/gluster.ansible
%global docdir %{_datadir}/doc/gluster.ansible
%global buildnum 4

Name:      gluster-ansible-roles
Version:   1.0.4
Release:   4%{?dist}
Summary:   Ansible roles for GlusterFS deployment and management

URL:       https://github.com/gluster/gluster-ansible
Source0:   %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}-%{buildnum}.tar.gz
License:   GPLv3
BuildArch: noarch

Requires:  ansible >= 2.6
Requires:  gluster-ansible-infra >= 1.0.2
Requires:  gluster-ansible-features >= 1.0.3
Requires:  gluster-ansible-cluster >= 1.0
Requires:  gluster-ansible-repositories >= 1.0
Requires:  gluster-ansible-maintenance >= 1.0.1

%description
Collection of Ansible roles for the deploying and managing GlusterFS clusters.

%prep
%autosetup -p1

%build

%install
mkdir -p %{buildroot}/%{rolesdir}
cp -a playbooks/ %{buildroot}/%{rolesdir}

mkdir -p %{buildroot}/%{docdir}
install -p -m 644 README.md LICENSE %{buildroot}/%{docdir}


%files
%{rolesdir}
%doc %{docdir}

%license LICENSE

%changelog
* Fri Mar 1 2019 Sachidananda Urs <sac@redhat.com> 1.0.4-4
- Move the playbooks to roles directory from doc/ rhbz#1683625

* Fri Feb 22 2019 Sachidananda Urs <sac@redhat.com> 1.0.4-3
- Rebuilding with new release number to new branch. rhbz#1674725

* Fri Feb 22 2019 Sachidananda Urs <sac@redhat.com> 1.0.4-2
- Add example playbook to clean up the setup. rhbz#1674725

* Tue Oct 23 2018 Sachidananda Urs <sac@redhat.com> 1.0.4
- Fix security concerns regarding plaintext passwords rhbz#1641887

* Mon Oct 15 2018 Sachidananda Urs <sac@redhat.com> 1.0.3
- Playbook improvements, resolves bz#1636044

* Fri Sep 28 2018 Sachidananda Urs <sac@redhat.com> 1.0.2-2
- Add playbook directory to /usr/share/doc

* Fri Sep 28 2018 Sachidananda Urs <sac@redhat.com> 1.0.2-1
- Removed Nagios dependency, added more examples

* Mon Sep 24 2018 Sachidananda Urs <sac@redhat.com> 1.0.1-1
- Add example playbooks for rhhi end-to-end deployment

* Tue Sep 18 2018 Sachidananda Urs <sac@redhat.com> 1.0-1
- Initial build, supports basic installations
